Skip to main content
`Ctrl`+`K`
scipy.special.

# roots_jacobi

scipy.special.roots_jacobi(n, alpha, beta, mu=False)

  Gauss-Jacobi quadrature.

  Compute the sample points and weights for Gauss-Jacobi quadrature. The sample points are the roots of the nth degree Jacobi polynomial, \(P^{\alpha, \beta}_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([-1, 1]\) with weight function \(w(x) = (1 - x)^{\alpha} (1 + x)^{\beta}\). See 22.2.1 in [AS] for details.

  Parameters:
    n int

      Quadrature order.

    alpha float

      alpha must be > -1

    beta float

      beta must be > -1

    mu bool, optional

      If True, return the sum of the weights in addition to sample points and weights.

  Returns:
    x ndarray

      Sample points.

    w ndarray

      Weights.

    mu float, optional

      Sum of the weights, only returned if mu=True.

  See also

  `scipy.integrate.fixed_quad`

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.

  Examples

      >>> from scipy.special import roots_jacobi
      >>> x, w = roots_jacobi(3, 0.5, 0.5)
      >>> x
      array([-0.70710678,  0.        ,  0.70710678])
      >>> w
      array([0.39269908, 0.78539816, 0.39269908])

      >>> x, w, mu = roots_jacobi(3, 0.5, 0.5, mu=True)
      >>> mu
      1.5707963267948966  # Sum of weights, equals pi/2 for alpha = beta = 0.5